[song]
name = Womb With a View
artist = GWAR
album = War Party
genre = Thrash Metal
year = 2004
song_length = 146603
charter = XEntombmentX
diff_guitar = 4
preview_start_time = 31880
icon = csc
album_track = 3
loading_phrase = <i>War Party</i> follows a concept throughout the album about a fictional political party named "The War Party", with policies dedicated specifically to the eradication of the human race by supporting global war and hatred.

